Bug 68265 - Some widget oddities in new GTK2 installer
Summary: Some widget oddities in new GTK2 installer
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-07-08 18:17 UTC by Peter van Egdom
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-04 22:18:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter van Egdom 2002-07-08 18:17:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
During graphical installation of Red Hat Limbo I experienced some
strange widget behaviour of the new GTK2 toolkit.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Play a bit with the new widget sets mentioned below by
   'Additional Information'.
2.
3.
	

Actual Results:  Some weird (but innocent) things happened with the new GTK2 
widget set.

Expected Results:  No weird things should happen when clicking and dragging
on various GTK2 widget sets.

Additional info:

for example :

- At some point in the installer (Keyboard Configuration), there is
  (
   according to the help-bar : 

   "Use the blank text field at the bottom of
    the screen to test your keyboard configuration"
  )

  mention of a blank text field, but that text field is -nowhere-
  to be seen.


Also,
   
 - At the Anaconda 'Boot loader configuration' screen :
    (
       which resembles the following layout :
        [ ] Dos/Windows
        [ ] Red Hat
    )

    First clicking on the Dos 'pushbutton' will highlight the
    line with a blue bar and on the second click the push-
    button reacts as it should.

    This also happens with the line with Red Hat.
 
    (I would expect on first the click the pushbutton reacts
     as it should).


Also, when being inside the release notes textscroller, there's
no cursor to be seen, so reading the release notes is ... rather
strange.. using the page up / page down keys and / or the cursor
keys.

Comment 1 Jeremy Katz 2002-07-11 04:15:53 UTC
Help is still being updated.  Did the third.  Second is still needing to be done.

Comment 2 Jeremy Katz 2002-07-29 04:40:31 UTC
And all fixed now in CVS

Comment 3 Peter van Egdom 2002-08-04 22:18:04 UTC
I re-installed Limbo beta 2 and did not see a blank text field to test the
keyboard configuration at the Keyboard Configuration screen.



Comment 4 Jeremy Katz 2002-08-04 22:57:46 UTC
Yes, we didn't add it back.  But the help has been updated appropriately to not
refer to it.

Comment 5 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.